---
metadata:
  - name: generator
    content: Diplodoc Platform v5.46.1
alternate:
  - https://yandex.com.tr/support/wiki/en/api-ref/grids/grids__get_grid.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/wiki/en/llms.txt

<div class="openapi">

# Get Grid

<!-- markdownlint-disable-file -->

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-get);margin-bottom: 12px">

<div class="openapi__request">

GET {.openapi__method}
```text translate=no
https://api.wiki.yandex.net/v1/grids/{idx}
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_idx_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;uuid4&gt;

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

### Query parameters

#|
|| **Name** | **Description** ||
||

_fields_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Additional fields, comma-separated; see the response format description.

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_filter_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Filter rows; for example `[slug] ~ wiki AND [slug2]<32`

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_only_cols_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Return only specific columns. Comma-separated slugs

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_only_rows_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Return only specific rows. Comma-separated IDs

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_revision_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Load an older version of the dynamic table
{.table-cell}
||
||

_sort_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Sort rows by columns; for example `slug, -slug2, slug3`

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

## Responses

<div class="openapi__response__code__200">

## 200 OK

OK

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "id": "example",
  "created_at": "2025-01-01T00:00:00Z",
  "title": "example",
  "page": {
    "id": 0,
    "slug": "example"
  },
  "structure": {
    "default_sort": [
      {
        "slug": "example",
        "title": "example",
        "direction": null
      }
    ],
    "columns": [
      {
        "id": "example",
        "slug": "example",
        "title": "example",
        "type": null,
        "required": true,
        "width": 0,
        "width_units": null,
        "pinned": null,
        "color": null,
        "multiple": true,
        "format": null,
        "ticket_field": null,
        "select_options": [
          null
        ],
        "mark_rows": true,
        "description": "example"
      }
    ]
  },
  "rich_text_format": "yfm",
  "rows": [
    {
      "id": "example",
      "row": [
        0
      ],
      "pinned": true,
      "color": "blue"
    }
  ],
  "revision": "example",
  "user_permissions": [
    "create_page"
  ],
  "attributes": {
    "created_at": "2025-01-01T00:00:00Z",
    "modified_at": "2025-01-01T00:00:00Z"
  },
  "template_id": 0
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_created_at_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;date-time&gt;

Date and time the table was created

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**Any of 2 types**" %}{.json-schema-combinators data-marker=or}

- **Type**: string&lt;uuid4&gt;

  _Example:_{.json-schema-reset .json-schema-example} `example`

- **Type**: integer

{% endcut %}

Unique table identifier

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_page_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **PageIdentity**

  **Type**: [PageIdentity](#entity-PageIdentity)

  Page identifier

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "id": 0,
    "slug": "example"
  }
  ```

  {% endcut %}

{% endcut %}

The page the table is attached to

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "slug": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_revision_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Table revision

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_rich_text_format_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **TextFormat**

  **Type**: [TextFormat](#entity-TextFormat)

  Text format:
  - `yfm` — Yandex Flavored Markdown
  - `wom` — Wiki Old Markup (the old markup)
  - `plain` — plain text


  _Enum:_{.json-schema-reset .json-schema-value} `yfm`, `wom`, `plain`

{% endcut %}

The rich-text content format in the table

_Example:_{.json-schema-reset .json-schema-example} `yfm`
{.table-cell}
||
||

_rows_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [GridRowSchema](#entity-GridRowSchema)[]

Table rows

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "example",
    "row": [
      0
    ],
    "pinned": true,
    "color": "blue"
  }
]
```

{% endcut %}
{.table-cell}
||
||

_structure_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **GridStructureSchema**

  **Type**: [GridStructureSchema](#entity-GridStructureSchema)

  Dynamic table structure

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "default_sort": [
      {
        "slug": "example",
        "title": "example",
        "direction": "asc"
      }
    ],
    "columns": [
      {
        "id": "example",
        "slug": "example",
        "title": "example",
        "type": "string",
        "required": true,
        "width": 0,
        "width_units": "%",
        "pinned": "left",
        "color": "blue",
        "multiple": true,
        "format": "yfm",
        "ticket_field": "assignee",
        "select_options": [
          "example"
        ],
        "mark_rows": true,
        "description": "example"
      }
    ]
  }
  ```

  {% endcut %}

{% endcut %}

Table structure (columns, data types)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "default_sort": [
    {
      "slug": "example",
      "title": "example",
      "direction": "asc"
    }
  ],
  "columns": [
    {
      "id": "example",
      "slug": "example",
      "title": "example",
      "type": "string",
      "required": true,
      "width": 0,
      "width_units": "%",
      "pinned": "left",
      "color": "blue",
      "multiple": true,
      "format": "yfm",
      "ticket_field": "assignee",
      "select_options": [
        "example"
      ],
      "mark_rows": true,
      "description": "example"
    }
  ]
}
```

{% endcut %}
{.table-cell}
||
||

_title_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Table title

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_attributes_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **GridAttributesSchema**

  **Type**: [GridAttributesSchema](#entity-GridAttributesSchema)

  Dynamic table attributes (metadata)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "created_at": "2025-01-01T00:00:00Z",
    "modified_at": "2025-01-01T00:00:00Z"
  }
  ```

  {% endcut %}

{% endcut %}

**Not returned by default**
Specify `attributes` in the `?fields=attributes, ...` list to include it in the response.
Returns additional attributes of the dynamic table.

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "created_at": "2025-01-01T00:00:00Z",
  "modified_at": "2025-01-01T00:00:00Z"
}
```

{% endcut %}
{.table-cell}
||
||

_template_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer
{.table-cell}
||
||

_user_permissions_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [UserPermission](#entity-UserPermission)[]

**Not returned by default**

Specify `user_permissions` in the `?fields=user_permissions, ...` list to include it in the response.
Returns the access permissions of the page that owns the dynamic table.

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  "create_page"
]
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### PageIdentity {#entity-PageIdentity}

Page identifier

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Page ID. Either `id` or `slug` is required. If both are provided, `id` takes priority and `slug` is ignored
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Page address (slug). Either `id` or `slug` is required

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "slug": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SortDirection {#entity-SortDirection}

Sort direction:
- `asc` — ascending (from smallest to largest, from A to Z)
- `desc` — descending (from largest to smallest, from Z to A)


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `asc`, `desc`

</div>

<div class="openapi-entity">

### ColumnSortSchema {#entity-ColumnSortSchema}

Column sorting schema in a dynamic table

#|
|| **Name** | **Description** ||
||

_direction_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **SortDirection**

  **Type**: [SortDirection](#entity-SortDirection)

  Sort direction:
  - `asc` — ascending (from smallest to largest, from A to Z)
  - `desc` — descending (from largest to smallest, from Z to A)


  _Enum:_{.json-schema-reset .json-schema-value} `asc`, `desc`

{% endcut %}

Sort direction

_Example:_{.json-schema-reset .json-schema-example} `asc`
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Unique text identifier of the column

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_title_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Column title

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "slug": "example",
  "title": "example",
  "direction": "asc"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### ColumnType {#entity-ColumnType}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `string`, `number`, `date`, `select`, `staff`, `checkbox`, `ticket`, `ticket_field`

</div>

<div class="openapi-entity">

### WidthUnits {#entity-WidthUnits}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `%`, `px`

</div>

<div class="openapi-entity">

### ColumnPinTypes {#entity-ColumnPinTypes}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `left`, `right`

</div>

<div class="openapi-entity">

### BGColor {#entity-BGColor}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `blue`, `yellow`, `pink`, `red`, `green`, `mint`, `grey`, `orange`, `magenta`, `purple`, `copper`, `ocean`

</div>

<div class="openapi-entity">

### TextFormat {#entity-TextFormat}

Text format:
- `yfm` — Yandex Flavored Markdown
- `wom` — Wiki Old Markup (the old markup)
- `plain` — plain text


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `yfm`, `wom`, `plain`

</div>

<div class="openapi-entity">

### TicketField {#entity-TicketField}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `assignee`, `components`, `created_at`, `deadline`, `description`, `end`, `estimation`, `fixversions`, `followers`, `last_comment_updated_at`, `original_estimation`, `parent`, `pending_reply_from`, `priority`, `project`, `queue`, `reporter`, `resolution`, `resolved_at`, `sprint`, `start`, `status`, `status_start_time`, `status_type`, `storypoints`, `subject`, `tags`, `type`, `updated_at`, `votes`

</div>

<div class="openapi-entity">

### ColumnSchema {#entity-ColumnSchema}

Dynamic table column schema

#|
|| **Name** | **Description** ||
||

_required_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

Whether the column is required
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Unique text identifier of the column (used in formulas and the API)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_title_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Column title (displayed in the interface)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_type_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **ColumnType**

  **Type**: [ColumnType](#entity-ColumnType)

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `string`, `number`, `date`, `select`, `staff`, `checkbox`, `ticket`, `ticket_field`

{% endcut %}

Column data type

_Example:_{.json-schema-reset .json-schema-example} `string`
{.table-cell}
||
||

_color_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **BGColor**

  **Type**: [BGColor](#entity-BGColor)

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `blue`, `yellow`, `pink`, `red`, `green`, `mint`, `grey`, `orange`, `magenta`, `purple`, `copper`, `ocean`

{% endcut %}

Column background color

_Example:_{.json-schema-reset .json-schema-example} `blue`
{.table-cell}
||
||

_description_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Column description

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_format_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **TextFormat**

  **Type**: [TextFormat](#entity-TextFormat)

  Text format:
  - `yfm` — Yandex Flavored Markdown
  - `wom` — Wiki Old Markup (the old markup)
  - `plain` — plain text


  _Enum:_{.json-schema-reset .json-schema-value} `yfm`, `wom`, `plain`

{% endcut %}

For `text` only; text format (None means plain text without formatting)

_Example:_{.json-schema-reset .json-schema-example} `yfm`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Unique column identifier

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_mark_rows_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean

For `checkbox` only; marks the row as completed in the interface
{.table-cell}
||
||

_multiple_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean

For `select` and `staff` only; enables multiple selection
{.table-cell}
||
||

_pinned_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **ColumnPinTypes**

  **Type**: [ColumnPinTypes](#entity-ColumnPinTypes)

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `left`, `right`

{% endcut %}

Column pinning (left, right, or unpinned)

_Example:_{.json-schema-reset .json-schema-example} `left`
{.table-cell}
||
||

_select_options_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string[]

For `select` only; defines the available options

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  "example"
]
```

{% endcut %}
{.table-cell}
||
||

_ticket_field_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **TicketField**

  **Type**: [TicketField](#entity-TicketField)

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `assignee`, `components`, `created_at`, `deadline`, `description`, `end`, `estimation`, `fixversions`, `followers`, `last_comment_updated_at`, `original_estimation`, `parent`, `pending_reply_from`, `priority`, `project`, `queue`, `reporter`, `resolution`, `resolved_at`, `sprint`, `start`, `status`, `status_start_time`, `status_type`, `storypoints`, `subject`, `tags`, `type`, `updated_at`, `votes`

{% endcut %}

For `ticket-field` only; the ticket field from Tracker

_Example:_{.json-schema-reset .json-schema-example} `assignee`
{.table-cell}
||
||

_width_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Column width
{.table-cell}
||
||

_width_units_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **WidthUnits**

  **Type**: [WidthUnits](#entity-WidthUnits)

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `%`, `px`

{% endcut %}

Column width units

_Example:_{.json-schema-reset .json-schema-example} `%`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example",
  "title": "example",
  "type": "string",
  "required": true,
  "width": 0,
  "width_units": "%",
  "pinned": "left",
  "color": "blue",
  "multiple": true,
  "format": "yfm",
  "ticket_field": "assignee",
  "select_options": [
    "example"
  ],
  "mark_rows": true,
  "description": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### GridStructureSchema {#entity-GridStructureSchema}

Dynamic table structure

#|
|| **Name** | **Description** ||
||

_columns_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [ColumnSchema](#entity-ColumnSchema)[]

Table columns

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "example",
    "slug": "example",
    "title": "example",
    "type": "string",
    "required": true,
    "width": 0,
    "width_units": "%",
    "pinned": "left",
    "color": "blue",
    "multiple": true,
    "format": "yfm",
    "ticket_field": "assignee",
    "select_options": [
      "example"
    ],
    "mark_rows": true,
    "description": "example"
  }
]
```

{% endcut %}
{.table-cell}
||
||

_default_sort_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [ColumnSortSchema](#entity-ColumnSortSchema)[]

Default sorting

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "slug": "example",
    "title": "example",
    "direction": "asc"
  }
]
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "default_sort": [
    {
      "slug": "example",
      "title": "example",
      "direction": "asc"
    }
  ],
  "columns": [
    {
      "id": "example",
      "slug": "example",
      "title": "example",
      "type": "string",
      "required": true,
      "width": 0,
      "width_units": "%",
      "pinned": "left",
      "color": "blue",
      "multiple": true,
      "format": "yfm",
      "ticket_field": "assignee",
      "select_options": [
        "example"
      ],
      "mark_rows": true,
      "description": "example"
    }
  ]
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### TicketSchema {#entity-TicketSchema}

Ticket schema from Yandex Tracker

#|
|| **Name** | **Description** ||
||

_key_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Ticket key (for example, `WIKI-123`)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_resolved_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

The ticket is resolved (closed)
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "key": "example",
  "resolved": true
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### UserIdentity {#entity-UserIdentity}

User identifier

#|
|| **Name** | **Description** ||
||

_cloud_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User identifier in the cloud (for the external instance)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User identifier in Yandex (for the internal instance)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "uid": "example",
  "cloud_uid": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### UserSchema {#entity-UserSchema}

Information about the user

#|
|| **Name** | **Description** ||
||

_affiliation_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User affiliation (for example, `yandex`, `external`)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_display_name_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User display name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Internal user identifier
{.table-cell}
||
||

_is_dismissed_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

The user has been dismissed
{.table-cell}
||
||

_username_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User login

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_identity_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **UserIdentity**

  **Type**: [UserIdentity](#entity-UserIdentity)

  User identifier

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "uid": "example",
    "cloud_uid": "example"
  }
  ```

  {% endcut %}

{% endcut %}

User identifier in the system

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "uid": "example",
  "cloud_uid": "example"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  },
  "username": "example",
  "display_name": "example",
  "is_dismissed": true,
  "affiliation": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### UnresolvedUserSchema {#entity-UnresolvedUserSchema}

Schema for a user that was not found in the system

#|
|| **Name** | **Description** ||
||

_identity_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **UserIdentity**

  **Type**: [UserIdentity](#entity-UserIdentity)

  User identifier

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "uid": "example",
    "cloud_uid": "example"
  }
  ```

  {% endcut %}

{% endcut %}

User identifier

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "uid": "example",
  "cloud_uid": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_username_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User login

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "username": "example",
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  }
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### TrackerEnumField {#entity-TrackerEnumField}

Enumeration field from Yandex Tracker

#|
|| **Name** | **Description** ||
||

_display_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Displayed field value

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_key_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Field value key

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "display": "example",
  "key": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### GridRowSchema {#entity-GridRowSchema}

Dynamic table row schema

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Unique row identifier

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_row_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**Type**: array" %}

{% cut "**Any of 10 types**" %}{.json-schema-combinators data-marker=or}

- **Type**: integer

- **Type**: number

- **Type**: boolean

- **Type**: string

  _Example:_{.json-schema-reset .json-schema-example} `example`

- **TicketSchema**

  **Type**: [TicketSchema](#entity-TicketSchema)

  Ticket schema from Yandex Tracker

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "key": "example",
    "resolved": true
  }
  ```

  {% endcut %}

- **Type**: string[]

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  [
    "example"
  ]
  ```

  {% endcut %}

- {% cut "**Type**: array" %}

  {% cut "**Any of 2 types**" %}{.json-schema-combinators data-marker=or}

  - **UserSchema**

    **Type**: [UserSchema](#entity-UserSchema)

    Information about the user

    {% cut "**Example**" %}{.json-schema-example}

    ```json translate=no
    {
      "id": 0,
      "identity": {
        "uid": "example",
        "cloud_uid": "example"
      },
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    }
    ```

    {% endcut %}

  - **UnresolvedUserSchema**

    **Type**: [UnresolvedUserSchema](#entity-UnresolvedUserSchema)

    Schema for a user that was not found in the system

    {% cut "**Example**" %}{.json-schema-example}

    ```json translate=no
    {
      "username": "example",
      "identity": {
        "uid": "example",
        "cloud_uid": "example"
      }
    }
    ```

    {% endcut %}

  {% endcut %}

  {% endcut %}

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  [
    {
      "id": 0,
      "identity": {
        "uid": "example",
        "cloud_uid": "example"
      },
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    }
  ]
  ```

  {% endcut %}

- **UserSchema**

  **Type**: [UserSchema](#entity-UserSchema)

  Information about the user

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "id": 0,
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    },
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  }
  ```

  {% endcut %}

- **UnresolvedUserSchema**

  **Type**: [UnresolvedUserSchema](#entity-UnresolvedUserSchema)

  Schema for a user that was not found in the system

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "username": "example",
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    }
  }
  ```

  {% endcut %}

- **TrackerEnumField**

  **Type**: [TrackerEnumField](#entity-TrackerEnumField)

  Enumeration field from Yandex Tracker

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "display": "example",
    "key": "example"
  }
  ```

  {% endcut %}

{% endcut %}

{% endcut %}

Array of the row's cell values (the order matches the column order)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  0
]
```

{% endcut %}
{.table-cell}
||
||

_color_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **BGColor**

  **Type**: [BGColor](#entity-BGColor)

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `blue`, `yellow`, `pink`, `red`, `green`, `mint`, `grey`, `orange`, `magenta`, `purple`, `copper`, `ocean`

{% endcut %}

Row background color

_Example:_{.json-schema-reset .json-schema-example} `blue`
{.table-cell}
||
||

_pinned_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean

The row is pinned
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "row": [
    0
  ],
  "pinned": true,
  "color": "blue"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### UserPermission {#entity-UserPermission}

User access permissions for the page:
- `create_page` — create subpages
- `delete` — delete the page
- `edit` — edit the page
- `view` — view the page
- `comment` — comment
- `change_authors` — change authors
- `change_acl` — change the access list
- `set_redirect` — set a redirect
- `manage_invite` — manage invitations
- `view_invite` — view invitations
- `admin` — administrative permissions


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `create_page`, `delete`, `edit`, `view`, `comment`, `change_authors`, `change_acl`, `set_redirect`, `manage_invite`, `view_invite`, `admin`

</div>

<div class="openapi-entity">

### GridAttributesSchema {#entity-GridAttributesSchema}

Dynamic table attributes (metadata)

#|
|| **Name** | **Description** ||
||

_created_at_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;date-time&gt;

Date and time the table was created

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_modified_at_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;date-time&gt;

Date and time the table was last modified

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "created_at": "2025-01-01T00:00:00Z",
  "modified_at": "2025-01-01T00:00:00Z"
}
```

{% endcut %}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.